require 'spec_helper'

describe Aemet::City do
  let(:aemet_id) { "08022" }
  subject(:city) { Aemet::City.new(aemet_id) }

  describe "#weather" do
    let(:weather) { city.weather  }

    it "returns the city weather" do
      weather.should be_kind_of Hashie::Mash
      weather.prediccion.dia.should be_instance_of Array
    end
  end
end
