# encoding: utf-8
#
require 'spec_helper'

describe Aemet::Crawler do

  subject(:crawler) { Aemet::Crawler.new(search_city) }

  describe "when searching for Berga" do
    let(:search_city) { "Berga" }

    its(:city) { should be_instance_of Aemet::City }
    its(:aemet_id) { should == "08022" }
  end

  xit 'finds the result for cities that match province' do
    crawler = Aemet::Crawler.new("Girona")
    result  = crawler.result

    result.aemet_page_url.should == "http://www.aemet.es/es/eltiempo/prediccion/municipios/girona-id17079"
    result.aemet_xml_url.should ==  "http://www.aemet.es/xml/municipios/localidad_17079.xml"
  end

end
