# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'aemet/version'

Gem::Specification.new do |spec|
  spec.name          = "aemet"
  spec.version       = Aemet::VERSION
  spec.authors       = ["Joaquin Rivera Padron", "Jorge Dias", "Jorge Calás Lozano"]
  spec.email         = ["joahking@gmail.com", "jorge@mrdias.com", "calas@qvitta.net"]
  spec.description   = %q{Extracts information from http://www.aemet.es}
  spec.summary       = %q{Extracts information from http://www.aemet.es}
  spec.homepage      = "http://para.glid.es"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'activesupport'
  spec.add_dependency 'nokogiri'
  spec.add_dependency 'httparty'
  spec.add_dependency 'hashie'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
